/**
 * Crystal Hero Skin
 * Custom sprite
 */

/* In-Game Sprite */
.player[data-character="hero"][data-skin="crystal_hero"]::before {
    box-shadow:
        -8px -8px 0 0 #fffafa,
        0px -8px 0 0 #E8E8E8,
        8px -8px 0 0 #f7e9e9,
        -8px 0px 0 0 #ebebeb,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #E8E8E8,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #E8E8E8,
        -8px 8px 0 0 #C0C0FF,
        -4px 8px 0 0 #b4b4ee,
        0px 8px 0 0 #FFE4E1,
        4px 8px 0 0 #C0C0FF,
        8px 8px 0 0 #c9c9fd,
        -4px 16px 0 0 #a3a3e6,
        4px 16px 0 0 #9a9ad9,
        -8px 14px 0 0 #e9e8e8,
        6px 14px 0 0 #f5f3eb;
}

/* Character Selection Preview */
.char-card-preview[data-character="hero"][data-skin="crystal_hero"]::before {
    box-shadow:
        -8px -8px 0 0 #fffafa,
        0px -8px 0 0 #E8E8E8,
        8px -8px 0 0 #f7e9e9,
        -8px 0px 0 0 #ebebeb,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #E8E8E8,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #E8E8E8,
        -8px 8px 0 0 #C0C0FF,
        -4px 8px 0 0 #b4b4ee,
        0px 8px 0 0 #FFE4E1,
        4px 8px 0 0 #C0C0FF,
        8px 8px 0 0 #c9c9fd,
        -4px 16px 0 0 #a3a3e6,
        4px 16px 0 0 #9a9ad9,
        -8px 14px 0 0 #e9e8e8,
        6px 14px 0 0 #f5f3eb;
}

/* Skin Selector Preview */
.skin-preview[data-character="hero"][data-skin="crystal_hero"]::before {
    box-shadow:
        -8px -8px 0 0 #fffafa,
        0px -8px 0 0 #E8E8E8,
        8px -8px 0 0 #f7e9e9,
        -8px 0px 0 0 #ebebeb,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #E8E8E8,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #E8E8E8,
        -8px 8px 0 0 #C0C0FF,
        -4px 8px 0 0 #b4b4ee,
        0px 8px 0 0 #FFE4E1,
        4px 8px 0 0 #C0C0FF,
        8px 8px 0 0 #c9c9fd,
        -4px 16px 0 0 #a3a3e6,
        4px 16px 0 0 #9a9ad9,
        -8px 14px 0 0 #e9e8e8,
        6px 14px 0 0 #f5f3eb;
}
